/**Begin D:\PDM_UPGRADE\PDM1\BCM_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BCM_USERSELECT' AND KSQL_COL_NAME IN ('FCONFIGJSON')) 
 ALTER TABLE T_BCM_USERSELECT ADD (FCONFIGJSON VARCHAR(2000) DEFAULT ' ' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BCM_BATCHEXPORTDETAIL' AND KSQL_COL_NAME IN ('FISPACKDOWNLOAD')) 
 ALTER TABLE T_BCM_BATCHEXPORTDETAIL ADD (FISPACKDOWNLOAD CHAR(1) DEFAULT '0' NOT NULL );
 
 EXEC p_AlterColumn 'T_BCM_RPASCHEME', 'FRUNROBOT', 'VARCHAR(100)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_BCM_RPASCHEME', 'FRPAPROCESS', 'VARCHAR(100)', 'NOT NULL', '0100', ''' ''';


/**End D:\PDM_UPGRADE\PDM1\BCM_table.sql **/
